hep.aida

## Interface IHistogram

All Superinterfaces:
  java.io.Serializable

All Known Subinterfaces:
  IHistogram1D, IHistogram2D, IHistogram3D

All Known Implementing Classes:
  Histogram1D, Histogram2D, Histogram3D

    public interface IHistogram
    extends java.io.Serializable

A common base interface for IHistogram1D, IHistogram2D and IHistogram3D.

Version:
  1.0, 23/03/2000

### Field Summary

Fields
`static int` `OVERFLOW` Constant specifying the overflow bin (can be passed to any method expecting a bin number).
`static long` `serialVersionUID`
`static int` `UNDERFLOW` Constant specifying the underflow bin (can be passed to any method expecting a bin number).

### Method Summary

Methods
`int` `allEntries()` Number of all entries in all (both in-range and under/overflow) bins in the histogram.
`int` `dimensions()` Returns 1 for one-dimensional histograms, 2 for two-dimensional histograms, and so on.
`int` `entries()` Number of in-range entries in the histogram.
`double` `equivalentBinEntries()` Number of equivalent entries.
`int` `extraEntries()` Number of under and overflow entries in the histogram.
`void` `reset()` Reset contents; as if just constructed.
`double` `sumAllBinHeights()` Sum of all (both in-range and under/overflow) bin heights in the histogram.
`double` `sumBinHeights()` Sum of in-range bin heights in the histogram.
`double` `sumExtraBinHeights()` Sum of under/overflow bin heights in the histogram.
`java.lang.String` `title()` Title of the histogram (will be set only in the constructor).

### Field Detail

#### OVERFLOW

    static final int OVERFLOW

Constant specifying the overflow bin (can be passed to any method expecting a bin number).

See Also:
  Constant Field Values

#### UNDERFLOW

    static final int UNDERFLOW

Constant specifying the underflow bin (can be passed to any method expecting a bin number).

See Also:
  Constant Field Values

#### serialVersionUID

    static final long serialVersionUID

See Also:
  Constant Field Values

### Method Detail

#### allEntries

    int allEntries()

Number of all entries in all (both in-range and under/overflow) bins in the histogram.

#### dimensions

    int dimensions()

Returns 1 for one-dimensional histograms, 2 for two-dimensional histograms, and so on.

#### entries

    int entries()

Number of in-range entries in the histogram.

#### equivalentBinEntries

    double equivalentBinEntries()

Number of equivalent entries.

Returns:
  `SUM[ weight ] ^ 2 / SUM[ weight^2 ]`.

#### extraEntries

    int extraEntries()

Number of under and overflow entries in the histogram.

#### reset

    void reset()

Reset contents; as if just constructed.

#### sumAllBinHeights

    double sumAllBinHeights()

Sum of all (both in-range and under/overflow) bin heights in the histogram.

#### sumBinHeights

    double sumBinHeights()

Sum of in-range bin heights in the histogram.

#### sumExtraBinHeights

    double sumExtraBinHeights()

Sum of under/overflow bin heights in the histogram.

#### title

    java.lang.String title()

Title of the histogram (will be set only in the constructor).